<template>
 <div class="wastegas" style="width: 5rem;height: 2.07rem">
   <el-table
       :data="tableData"
       style="width: 100%;height: 100%">
     <el-table-column prop="LabMonTime" label="检测时间"></el-table-column>
     <el-table-column label="氮氧化物">
       <el-table-column prop="LabMonValue" label="监测值" width="70"></el-table-column>
       <el-table-column prop="StdValue" label="标准值" width="70"></el-table-column>
     </el-table-column>
     <el-table-column label="二氧化硫">
       <el-table-column prop="LabMonValue" label="监测值" width="70"></el-table-column>
       <el-table-column prop="StdValue" label="标准值" width="70"></el-table-column>
     </el-table-column>
     <el-table-column label="烟尘">
       <el-table-column prop="LabMonValue" label="监测值" width="70"></el-table-column>
       <el-table-column prop="StdValue" label="标准值" width="70"></el-table-column>
     </el-table-column>
     <el-table-column label="非甲烷总烃">
       <el-table-column prop="LabMonValue" label="监测值" width="70"></el-table-column>
       <el-table-column prop="StdValue" label="标准值" width="70"></el-table-column>
     </el-table-column>
   </el-table>
 </div>
</template>

<script>
import dayjs from 'dayjs'
import mapApi from '@/api/mapApi'

export default {
  name: 'Detail',
  data () {
    return {
      tableData: []
    }
  },
  props: {
    LabMonPointId: {
      type: Number
    }
  },
  mounted () {
    this.$nextTick(() => {
      this.initdetail()
    })
  },
  methods: {
    async initdetail () {
      const timeEnd = dayjs().format('YYYY-MM-DD')
      const timeStart = dayjs().subtract(1, 'year').format('YYYY-MM-DD')
      const data = {
        companyId: 3900100145,
        companyCode: '',
        poltSourceId: '',
        labMonPointId: this.LabMonPointId ? this.LabMonPointId : '',
        poltMtrlId: '',
        monItemId: '28,31',
        emissTypeId: '',
        beginTime: timeStart,
        endTime: timeEnd
      }
      this.tableData = (await mapApi.getWasteGasManualData(data)).Result.DataInfo
    }
  }
}

</script>

<style scoped>

</style>
